System [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00] 1.0.3300.0 1.0.5000.0 2.0.0.0 4.0.0.0 Gtk# is thread aware, but not thread safe; See the <link location="node:gtk-sharp/programming/threads">Gtk# Thread Programming</link> for details. System.Enum

Used by the property of the class to indicate the way an object changes.

Specifies how the list changed.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListChangedType To be added

  An item added to the list. contains the index of the item that was added.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListChangedType To be added

  An item changed in the list. contains the index of the item that was changed.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListChangedType To be added

  An item deleted from the list. contains the index of the item that was deleted.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListChangedType To be added

  An item moved within the list. contains the previous index for the item, whereas contains the new index for the item.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListChangedType To be added

  A was added, which changed the schema.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListChangedType To be added

  A was changed, which changed the schema.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListChangedType To be added

  A was deleted, which changed the schema.

- Field
  1.0.5000.0
  2.0.0.0
  4.0.0.0
  System.ComponentModel.ListChangedType To be added

  Much of the list has changed. Any listening controls should refresh all their data from the list.